Bug 507812 (CVE-2009-2210) - CVE-2009-2210 Thunderbird mail crash
Summary: CVE-2009-2210 Thunderbird mail crash
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2210
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=internet,repo...
Depends On: 507813 507814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-24 11:42 UTC by Josh Bressers
Modified: 2019-06-08 12:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 20:19:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1134 normal SHIPPED_LIVE Important: seamonkey security update 2009-06-30 14:55:25 UTC

Description Josh Bressers 2009-06-24 11:42:57 UTC
From upstream:

Bernd Jendrissek reported a crash in Thunderbird when viewing a multipart/alternative mail message with a text/enhanced part. Internally this led to operations on an unexpected type of object resulting in a crash which may be exploitable.

http://www.mozilla.org/security/announce/2009/mfsa2009-33.html

Comment 3 Vincent Danen 2009-06-25 20:21:18 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-2210 to
the following vulnerability:

Name: CVE-2009-2210
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2210
Assigned: 20090625
Reference: CONFIRM: http://www.mozilla.org/security/announce/2009/mfsa2009-33.html
Reference: CONFIRM: https://bugzilla.mozilla.org/show_bug.cgi?id=495057
Reference: BID:35461
Reference: URL: http://www.securityfocus.com/bid/35461
Reference: SECTRACK:1022433
Reference: URL: http://securitytracker.com/id?1022433
Reference: XF:mozilla-multipart-alternative-code-exec(51315)
Reference: URL: http://xforce.iss.net/xforce/xfdb/51315

Mozilla Thunderbird before 2.0.0.22 and SeaMonkey before 1.1.17 allow
remote attackers to cause a denial of service (application crash) or
possibly execute arbitrary code via a multipart/alternative e-mail
message containing a text/enhanced part that triggers access to an
incorrect object type.

Comment 4 errata-xmlrpc 2009-06-30 14:55:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:1134 https://rhn.redhat.com/errata/RHSA-2009-1134.html

Comment 5 Fedora Update System 2009-07-16 06:56:18 UTC
seamonkey-1.1.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-07-16 07:09:58 UTC
seamonkey-1.1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.